# Super Awesome Input Icons

Addon for Godot 4 that gives easy-to-use, automatically-updating, drop-in input prompt icons for games and other projects. It uses [Kenney Input Prompts](https://kenney.nl/assets/input-prompts) and supports the following control schemes:

- Mouse & Keyboard
- Xbox
- Playstation 
- Nintendo Switch 

## Usage

Drop in the included `InputIconSprite2D` or `InputIconTextureRect` nodes into your game, then set the `action_name` parameter. It will then update automatically with the correct icon.